summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/nft-f/0008split_tables_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/nft-f/0008split_tables_0')
-rwxr-xr-xtests/shell/testcases/nft-f/0008split_tables_011
1 files changed, 1 insertions, 10 deletions
diff --git a/tests/shell/testcases/nft-f/0008split_tables_0 b/tests/shell/testcases/nft-f/0008split_tables_0
index b244d14e..14cdd499 100755
--- a/tests/shell/testcases/nft-f/0008split_tables_0
+++ b/tests/shell/testcases/nft-f/0008split_tables_0
@@ -2,14 +2,6 @@
set -e
-tmpfile=$(mktemp)
-if [ ! -w $tmpfile ] ; then
- echo "Failed to create tmp file" >&2
- exit 0
-fi
-
-trap "rm -rf $tmpfile" EXIT # cleanup if aborted
-
RULESET="table inet filter {
chain ssh {
type filter hook input priority 0; policy accept;
@@ -23,8 +15,7 @@ table inet filter {
}
}"
-echo "$RULESET" > $tmpfile
-$NFT -f $tmpfile
+$NFT -f - <<< $RULESET
if [ $? -ne 0 ] ; then
echo "E: unable to load good ruleset" >&2
exit 1